Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.myfaces.shared_orchestra.renderkit.html.util
Class JavascriptUtils

    java.lang.Object
      org.apache.myfaces.shared_orchestra.renderkit.html.util.JavascriptUtils

    public final class JavascriptUtils

extends Object

Version:
  $Revision: 684008 $ $Date: 2008-08-08 11:06:41 -0500 (Fri, 08 Aug 2008) $
Author:
  Manfred Geiler (latest modification by $Author: lu4242 $), Anton Koinov

Field Summary
`static String` | `JAVASCRIPT_DETECTED`

Method Summary
`static String` | `encodeString(String string)`
`static String` | `getOldViewId(javax.faces.context.ExternalContext externalContext)`
`static String` | `getValidJavascriptName(String s, boolean checkForReservedWord)`
`static String` | `getValidJavascriptNameAsInRI(String origIdentifier)` Don't use this function - except when compatibility with the RI is a must, as in the name for the clear form parameters script.
`static boolean` | `isJavascriptAllowed(javax.faces.context.ExternalContext externalContext)`
`static boolean` | `isJavascriptDetected(javax.faces.context.ExternalContext externalContext)`
`static void` | `setJavascriptDetected(javax.servlet.http.HttpSession session, boolean value)`
`static void` | `setOldViewId(javax.faces.context.ExternalContext externalContext, String viewId)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### JAVASCRIPT_DETECTED

    public static final String JAVASCRIPT_DETECTED

Method Detail

### getValidJavascriptNameAsInRI

    public static String getValidJavascriptNameAsInRI(String origIdentifier)

  Don't use this function - except when compatibility with the RI is a must, as in the name for the clear form parameters script.

### getValidJavascriptName

    public static String getValidJavascriptName(String s,
                                                boolean checkForReservedWord)

### encodeString

    public static String encodeString(String string)

### isJavascriptAllowed

    public static boolean isJavascriptAllowed(javax.faces.context.ExternalContext externalContext)

### setJavascriptDetected

    public static void setJavascriptDetected(javax.servlet.http.HttpSession session,
                                             boolean value)

### isJavascriptDetected

    public static boolean isJavascriptDetected(javax.faces.context.ExternalContext externalContext)

### setOldViewId

    public static void setOldViewId(javax.faces.context.ExternalContext externalContext,
                                    String viewId)

### getOldViewId

    public static String getOldViewId(javax.faces.context.ExternalContext externalContext)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 The Apache Software Foundation. All Rights Reserved.